Gmail will only work if you allow access for less secure apps in Gmail settings

I get the above message when trying to use Gmail (actually Google Apps for Business) with ERPNext.
I don’t however understand why this is necessary and why it hasn’t been fixed by now?

A lot of work has been put into proper (more secure) OAuth authentication with Google in the Integration with Google Contacts, Google Calendar and Google Drive, and the Gmail API is equally available using exactly the same method.

So is Gmail OAuth support on the roadmap, should I raise a feature request?
If you’re worried about breaking backward compatibility, you could just add another Email service option: “GMail OAuth” or similar solution.

Thanks in advance!

2 Likes

Yes, please raise a feature request.

It’s a simple 3 step organic process:

  • Create a GitHub Issue about the feature that you want.
  • It will be reviewed on the parameters of “how generic the feature is”, “is it an integral piece or not”, “what are the chances of a workaround?” and so on. Also depends on the number of upvotes.
  • Once shortlisted for development, it will be available in the next version.

Feature request: